Bug 1480825 - Review Request: python-pytest-forked - py.test plugin for running tests in isolated forked subprocesses
Review Request: python-pytest-forked - py.test plugin for running tests in is...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert-André Mauchin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-11 20:27 EDT by Scott Talbert
Modified: 2017-08-23 23:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-23 23:16:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zebob.m: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Scott Talbert 2017-08-11 20:27:35 EDT
Spec URL: https://www.techie.net/~talbert/python-pytest-forked.spec
SRPM URL: https://www.techie.net/~talbert/python-pytest-forked-0.2-1.fc26.src.rpm
Description: The pytest-forked plugin extends py.test by adding an option to run tests in isolated forked subprocesses. This is useful if you have tests involving C or C++ libraries that might crash the process. To use the plugin, simply use the
--forked argument when invoking py.test.
Fedora Account System Username: swt2c
Comment 1 Robert-André Mauchin 2017-08-17 05:45:44 EDT
Hello,


Please use the %{py2_dist/%{py3_dist to declare your BR and R. See https://fedoraproject.org/wiki/Packaging:Python#Requires_and_BuildRequires_with_standardized_names

BuildRequires:  %{py2_dist pytest}
BuildRequires:  %{py3_dist pytest}


and so on…


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* MIT/X11 (BSD like)", "Unknown or generated". 20
     files have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/python-pytest-forked/review-python-pytest-
     forked/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -pytest-forked , python3-pytest-forked
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-pytest-forked-0.2-1.fc27.noarch.rpm
          python3-pytest-forked-0.2-1.fc27.noarch.rpm
          python-pytest-forked-0.2-1.fc27.src.rpm
python2-pytest-forked.noarch: W: spelling-error Summary(en_US) py -> pt, p, y
python2-pytest-forked.noarch: W: spelling-error Summary(en_US) subprocesses -> sub processes, sub-processes, processes
python2-pytest-forked.noarch: W: summary-not-capitalized C py.test plugin for running tests in isolated forked subprocesses
python2-pytest-forked.noarch: W: spelling-error %description -l en_US py -> pt, p, y
python2-pytest-forked.noarch: W: spelling-error %description -l en_US subprocesses -> sub processes, sub-processes, processes
python3-pytest-forked.noarch: W: spelling-error Summary(en_US) py -> pt, p, y
python3-pytest-forked.noarch: W: spelling-error Summary(en_US) subprocesses -> sub processes, sub-processes, processes
python3-pytest-forked.noarch: W: summary-not-capitalized C py.test plugin for running tests in isolated forked subprocesses
python3-pytest-forked.noarch: W: spelling-error %description -l en_US py -> pt, p, y
python3-pytest-forked.noarch: W: spelling-error %description -l en_US subprocesses -> sub processes, sub-processes, processes
python-pytest-forked.src: W: spelling-error Summary(en_US) py -> pt, p, y
python-pytest-forked.src: W: spelling-error Summary(en_US) subprocesses -> sub processes, sub-processes, processes
python-pytest-forked.src: W: summary-not-capitalized C py.test plugin for running tests in isolated forked subprocesses
python-pytest-forked.src: W: spelling-error %description -l en_US py -> pt, p, y
python-pytest-forked.src: W: spelling-error %description -l en_US subprocesses -> sub processes, sub-processes, processes
3 packages and 0 specfiles checked; 0 errors, 15 warnings.
Comment 2 Scott Talbert 2017-08-17 19:58:12 EDT
Thanks for the review!

Updated to address your comment.

Spec URL: https://www.techie.net/~talbert/python-pytest-forked.spec
SRPM URL: https://www.techie.net/~talbert/python-pytest-forked-0.2-2.fc26.src.rpm
Comment 3 Robert-André Mauchin 2017-08-18 01:57:28 EDT
All good, package accepted.

Thank you for your work.
Comment 4 Gwyn Ciesla 2017-08-19 15:01:11 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-pytest-forked
Comment 5 mprahl@redhat.com 2017-08-21 15:46:05 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.stg.fedoraproject.org/rpms/python-pytest-forked
Comment 6 mprahl@redhat.com 2017-08-21 15:46:57 EDT
Please disregard the above comment, this was from testing in staging.

Note You need to log in before you can comment on or make changes to this bug.